    --library requirements
sti = require 'libraries/sti'                      --Loads maps from Tiled
wf = require 'libraries/windfield'                 --Creates and handles physics objects
anim8 = require 'libraries/anim8'                  --Animates sprites
camera = require 'libraries/camera'                --handles camera tracking
require('player')

function love.load()
    currentLevel = 1                               --value of the current level. Starts at 1
    currentMap = sti('maps/plat_map1.lua')         --loads the current map file from Tiled
    currentWorld = wf.newWorld()                   --loads current physics world
    currentWorld:addCollisionClass('solid')
    currentWorld:addCollisionClass('player')

    --searches for the "solids" layer of the map file and then creates collision boxes on top of the tiles
    local map = love.filesystem.load('maps/plat_map1.lua')()
    local mapW = map.width
    local mapH = map.height
    local colliderList = {}

    local layerNum = 1
    local layer = map.layers[layerNum]
    while layer do
        if layer.name == 'solids' then
            local y = 0
            while y < mapH do
                local x = 0
                while x < mapW do
                    local tileID = (y * mapW) + x + 1
                    local tile = layer.data[tileID]
                    if tile > 0 then
                        table.insert(colliderList, currentWorld:newRectangleCollider(x * 16, y * 16, 16, 16))
                    end
                    x = x + 1
                end
                y = y + 1
            end
        end
        layerNum = layerNum + 1
        layer = map.layers[layerNum]
    end

    player:load()
end

function love.update(dt)
    currentWorld:update(dt)
    player:update(dt)
end

function love.draw()
    currentMap:drawLayer(currentMap.layers["background"])
    --currentMap:drawLayer(currentMap.layers["solids"])
    love.graphics.push()
        love.graphics.setColor(1, 0, 0)
        currentWorld:draw()
    love.graphics.pop()
    player:draw()
end